<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Ejercicio_17</title>
</head>
<body>
    <h1>Ejercicio 17</h1>

    <script>

    let hrsTrab = Array(200),
    min = 8,
    max = 50;

    for (var i = 1; i < 201; i++) {
        hrsTrab[i] = Math.floor(Math.random() * (max - min) + min);
    }

const salarioTrabajador = () => {
    let tarifa = 100,
    salarioTotal;
    for (var i = 1; i < 201; i++) {
        if (hrsTrab[i] > 40 ) {
            var horasExtra = hrsTrab[i] - 40,
            salarioExtra = horasExtra * (tarifa + (tarifa*.50));
            salarioTotal = salarioExtra + (tarifa*40);
        } else {
            salarioTotal = hrsTrab[i] * tarifa;
        }
        console.log(`El trabajador ${i} su salario es de: ${salarioTotal} pesos, por sus ${hrsTrab[i]} horas`);
    }    
}
salarioTrabajador();

    </script>
    
</body>
</html>